Property
The Property API provides address validation, property details, valuations, comparables, sales history, liens, and tax history.
API version: v3
Usage: Address uses 1 request; all other endpoints use 2 requests per successful call.
Requests
Use https://api.anyprop.com/v3/property/ with a Bearer token from the Account page.
Provide an address in q, or use street_address, city, state, and zipcode. Add unit when needed. If both forms are supplied, q takes precedence.
Property Address
Standardize and geocode a property address.
Standardize and geocode property address
https://api.anyprop.com/v3/property/addressStandardize and geocode a property address. Usage: 1 request per successful request.
AuthorizationstringrequiredBearer authentication header of the form Bearer <token>.
qstringoptionalProperty address.
Example: 123 Main Street, Spring, TX 77373
street_addressstringoptionalStreet address, including house number.
Example: 123 Main Street
citystringoptionalCity.
Example: Spring
statestringoptionalState.
Example: TX
zipcodestringoptionalZIP code.
Example: 77373
unitstring · nullableoptionalUnit or apartment number.
200Successful responseapplication/json
statusstringoptionalExample: success
Allowed values: ["success","zero_results"]
dataobjectoptionalShow properties
addressobjectoptionalShow properties
addressstringoptionalExample: 123 Main Street, Spring, TX 77373
unitstring · nullableoptionalhouse_numberstring · nullableoptionalExample: 123
street_namestring · nullableoptionalExample: Main Street
citystring · nullableoptionalExample: Spring
statestring · nullableoptionalExample: TX
zipcodestring · nullableoptionalExample: 77373
latitudenumber · doubleoptionalExample: 30.07936
longitudenumber · doubleoptionalExample: -95.41842
400Bad requestapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptional401Unauthorizedapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptionalGET /v3/property/address HTTP/1.1
Host: api.anyprop.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*curl --request GET \
--url 'https://api.anyprop.com/v3/property/address' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Accept: */*'fetch("https://api.anyprop.com/v3/property/address", {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
})
.then(response => response.json())
.then(console.log);import requests
response = requests.get(
"https://api.anyprop.com/v3/property/address",
headers={
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
)
print(response.json())Response example
{
"status": "success",
"data": {
"address": {
"address": "123 Main Street, Spring, TX 77373",
"unit": null,
"house_number": "123",
"street_name": "Main Street",
"city": "Spring",
"state": "TX",
"zipcode": "77373",
"latitude": 30.07936,
"longitude": -95.41842
}
}
}{
"error": {
"code": "text",
"message": "text"
}
}{
"error": {
"code": "text",
"message": "text"
}
}Property Details
Return property details from public records.
Get property details
https://api.anyprop.com/v3/property/detailsReturn property details from public records. Usage: 2 requests per successful request.
AuthorizationstringrequiredBearer authentication header of the form Bearer <token>.
qstringoptionalProperty address.
Example: 123 Main Street, Spring, TX 77373
street_addressstringoptionalStreet address, including house number.
Example: 123 Main Street
citystringoptionalCity.
Example: Spring
statestringoptionalState.
Example: TX
zipcodestringoptionalZIP code.
Example: 77373
unitstring · nullableoptionalUnit or apartment number.
200Successful responseapplication/json
statusstringoptionalExample: success
Allowed values: ["success","zero_results"]
dataobjectoptionalShow properties
addressobjectoptionalShow properties
addressstringoptionalExample: 123 Main Street, Spring, TX 77373
unitstring · nullableoptionalhouse_numberstring · nullableoptionalExample: 123
street_namestring · nullableoptionalExample: Main Street
citystring · nullableoptionalExample: Spring
statestring · nullableoptionalExample: TX
zipcodestring · nullableoptionalExample: 77373
latitudenumber · doubleoptionalExample: 30.07936
longitudenumber · doubleoptionalExample: -95.41842
detailsobjectoptionalShow properties
public_recordobject · nullableoptionalShow properties
architectural_stylestring · nullableoptionalExample: traditional
basement_typestring · nullableoptionalbasement_square_feetnumber · nullableoptionalbathrooms_fullinteger · nullableoptionalExample: 3
bathrooms_partialinteger · nullableoptionalExample: 0
bathrooms_totalinteger · nullableoptionalExample: 3
bedrooms_totalinteger · nullableoptionalExample: 4
buildings_totalinteger · nullableoptionalExample: 1
building_qualitystring · nullableoptionalExample: good
building_conditionstring · nullableoptionalExample: average
construction_typesstring[] · nullableoptionalcooling_typestring[] · nullableoptionalfireplace_typestring[] · nullableoptionalfireplaces_totalinteger · nullableoptionalExample: 1
heating_typestring[] · nullableoptionallegal_descriptionstring · nullableoptionalExample: lot 12 block 3 main street estates
living_area_square_feetnumber · nullableoptionalExample: 2520
living_area_above_grade_square_feetnumber · nullableoptionalExample: 2520
living_area_below_grade_square_feetnumber · nullableoptionallot_size_square_feetnumber · nullableoptionalExample: 8400
apnstring · nullableoptionalExample: 123-456-7890
parking_featuresstring[] · nullableoptionalgarages_totalinteger · nullableoptionalExample: 2
parking_totalinteger · nullableoptionalExample: 2
pool_typestring[] · nullableoptionalcommunity_pool_typestring · nullableoptionalproperty_typestring · nullableoptionalExample: single family residence
roof_materialstring[] · nullableoptionalroof_typestring · nullableoptionalExample: gable
rooms_totalinteger · nullableoptionalExample: 9
sewer_typestring[] · nullableoptionalsolar_power_typestring · nullableoptionalstories_totalnumber · nullableoptionalExample: 2
subdivision_namestring · nullableoptionalExample: Main Street Estates
number_of_units_totalinteger · nullableoptionalExample: 1
exterior_wall_materialsstring[] · nullableoptionalwater_sourcestring · nullableoptionalExample: public
year_builtinteger · nullableoptionalExample: 2005
zoningstring · nullableoptionalExample: residential
zoning_descriptionstring · nullableoptionalExample: single family residential
assessmentobject · nullableoptionalShow properties
apnstring · nullableoptionalExample: 123-456-7890
tax_yearinteger · nullableoptionalExample: 2024
assessment_yearinteger · nullableoptionalExample: 2025
annual_tax_amountnumber · nullableoptionalExample: 8425.31
assessed_total_valuenumber · nullableoptionalExample: 400000
assessed_land_valuenumber · nullableoptionalExample: 85000
assessed_improvement_valuenumber · nullableoptionalExample: 315000
occupancyobject · nullableoptionalShow properties
owner_occupiedboolean · nullableoptionalExample: true
400Bad requestapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptional401Unauthorizedapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptionalGET /v3/property/details HTTP/1.1
Host: api.anyprop.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*curl --request GET \
--url 'https://api.anyprop.com/v3/property/details' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Accept: */*'fetch("https://api.anyprop.com/v3/property/details", {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
})
.then(response => response.json())
.then(console.log);import requests
response = requests.get(
"https://api.anyprop.com/v3/property/details",
headers={
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
)
print(response.json())Response example
{
"status": "success",
"data": {
"address": {
"address": "123 Main Street, Spring, TX 77373",
"unit": null,
"house_number": "123",
"street_name": "Main Street",
"city": "Spring",
"state": "TX",
"zipcode": "77373",
"latitude": 30.07936,
"longitude": -95.41842
},
"details": {
"public_record": {
"apn": "123-456-7890",
"architectural_style": "traditional",
"basement_square_feet": null,
"basement_type": null,
"bathrooms_full": 2,
"bathrooms_partial": 1,
"bathrooms_total": 3,
"bedrooms_total": 4,
"building_condition": "average",
"building_quality": "good",
"buildings_total": 1,
"community_pool_type": null,
"construction_types": [
"brick",
"wood frame"
],
"cooling_type": [
"central air"
],
"exterior_wall_materials": [
"brick veneer"
],
"fireplace_type": [
"gas"
],
"fireplaces_total": 1,
"garages_total": 2,
"heating_type": [
"forced air",
"natural gas"
],
"legal_description": "lot 12 block 3 main street estates",
"living_area_above_grade_square_feet": 2480,
"living_area_below_grade_square_feet": null,
"living_area_square_feet": 2480,
"lot_size_square_feet": 8400,
"number_of_units_total": 1,
"parking_features": [
"attached garage",
"driveway"
],
"parking_total": 2,
"pool_type": null,
"property_type": "single family residence",
"roof_material": [
"composition shingle"
],
"roof_type": "gable",
"rooms_total": 8,
"sewer_type": [
"public"
],
"solar_power_type": null,
"stories_total": 2,
"subdivision_name": "Main Street Estates",
"water_source": "public",
"year_built": 2005,
"zoning": "residential",
"zoning_description": "single family residential"
},
"assessment": {
"apn": "123-456-7890",
"tax_year": 2024,
"assessment_year": 2025,
"annual_tax_amount": 8425.31,
"assessed_total_value": 400000,
"assessed_land_value": 85000,
"assessed_improvement_value": 315000
},
"occupancy": {
"owner_occupied": true
}
}
}
}{
"error": {
"code": "text",
"message": "text"
}
}{
"error": {
"code": "text",
"message": "text"
}
}Advanced Property Details
Return public-record details and listing details from your MLS feeds.
Get advanced property details
https://api.anyprop.com/v3/property/details_advancedReturn public-record details and listing details from your MLS feeds. Usage: 2 requests per successful request.
AuthorizationstringrequiredBearer authentication header of the form Bearer <token>.
qstringoptionalProperty address.
Example: 123 Main Street, Spring, TX 77373
street_addressstringoptionalStreet address, including house number.
Example: 123 Main Street
citystringoptionalCity.
Example: Spring
statestringoptionalState.
Example: TX
zipcodestringoptionalZIP code.
Example: 77373
unitstring · nullableoptionalUnit or apartment number.
200Successful responseapplication/json
statusstringoptionalExample: success
Allowed values: ["success","zero_results"]
dataobjectoptionalShow properties
addressobjectoptionalShow properties
addressstringoptionalExample: 123 Main Street, Spring, TX 77373
unitstring · nullableoptionalhouse_numberstring · nullableoptionalExample: 123
street_namestring · nullableoptionalExample: Main Street
citystring · nullableoptionalExample: Spring
statestring · nullableoptionalExample: TX
zipcodestring · nullableoptionalExample: 77373
latitudenumber · doubleoptionalExample: 30.07936
longitudenumber · doubleoptionalExample: -95.41842
detailsobjectoptionalShow properties
public_recordobject · nullableoptionalShow properties
architectural_stylestring · nullableoptionalExample: traditional
basement_typestring · nullableoptionalbasement_square_feetnumber · nullableoptionalbathrooms_fullinteger · nullableoptionalExample: 3
bathrooms_partialinteger · nullableoptionalExample: 0
bathrooms_totalinteger · nullableoptionalExample: 3
bedrooms_totalinteger · nullableoptionalExample: 4
buildings_totalinteger · nullableoptionalExample: 1
building_qualitystring · nullableoptionalExample: good
building_conditionstring · nullableoptionalExample: average
construction_typesstring[] · nullableoptionalcooling_typestring[] · nullableoptionalfireplace_typestring[] · nullableoptionalfireplaces_totalinteger · nullableoptionalExample: 1
heating_typestring[] · nullableoptionallegal_descriptionstring · nullableoptionalExample: lot 12 block 3 main street estates
living_area_square_feetnumber · nullableoptionalExample: 2520
living_area_above_grade_square_feetnumber · nullableoptionalExample: 2520
living_area_below_grade_square_feetnumber · nullableoptionallot_size_square_feetnumber · nullableoptionalExample: 8400
apnstring · nullableoptionalExample: 123-456-7890
parking_featuresstring[] · nullableoptionalgarages_totalinteger · nullableoptionalExample: 2
parking_totalinteger · nullableoptionalExample: 2
pool_typestring[] · nullableoptionalcommunity_pool_typestring · nullableoptionalproperty_typestring · nullableoptionalExample: single family residence
roof_materialstring[] · nullableoptionalroof_typestring · nullableoptionalExample: gable
rooms_totalinteger · nullableoptionalExample: 9
sewer_typestring[] · nullableoptionalsolar_power_typestring · nullableoptionalstories_totalnumber · nullableoptionalExample: 2
subdivision_namestring · nullableoptionalExample: Main Street Estates
number_of_units_totalinteger · nullableoptionalExample: 1
exterior_wall_materialsstring[] · nullableoptionalwater_sourcestring · nullableoptionalExample: public
year_builtinteger · nullableoptionalExample: 2005
zoningstring · nullableoptionalExample: residential
zoning_descriptionstring · nullableoptionalExample: single family residential
assessmentobject · nullableoptionalShow properties
apnstring · nullableoptionalExample: 123-456-7890
tax_yearinteger · nullableoptionalExample: 2024
assessment_yearinteger · nullableoptionalExample: 2025
annual_tax_amountnumber · nullableoptionalExample: 8425.31
assessed_total_valuenumber · nullableoptionalExample: 400000
assessed_land_valuenumber · nullableoptionalExample: 85000
assessed_improvement_valuenumber · nullableoptionalExample: 315000
occupancyobject · nullableoptionalShow properties
owner_occupiedboolean · nullableoptionalExample: true
internalobject · nullableoptionalListing details, when available.
Show properties
architectural_stylestring · nullableoptionalExample: traditional
basement_typestring · nullableoptionalbasement_square_feetnumber · nullableoptionalbathrooms_fullinteger · nullableoptionalExample: 3
bathrooms_partialinteger · nullableoptionalExample: 0
bathrooms_totalinteger · nullableoptionalExample: 3
bedrooms_totalinteger · nullableoptionalExample: 4
buildings_totalinteger · nullableoptionalExample: 1
building_qualitystring · nullableoptionalExample: good
building_conditionstring · nullableoptionalExample: average
construction_typesstring[] · nullableoptionalcooling_typestring[] · nullableoptionalfireplace_typestring[] · nullableoptionalfireplaces_totalinteger · nullableoptionalExample: 1
heating_typestring[] · nullableoptionallegal_descriptionstring · nullableoptionalExample: lot 12 block 3 main street estates
living_area_square_feetnumber · nullableoptionalExample: 2520
living_area_above_grade_square_feetnumber · nullableoptionalExample: 2520
living_area_below_grade_square_feetnumber · nullableoptionallot_size_square_feetnumber · nullableoptionalExample: 8400
apnstring · nullableoptionalExample: 123-456-7890
parking_featuresstring[] · nullableoptionalgarages_totalinteger · nullableoptionalExample: 2
parking_totalinteger · nullableoptionalExample: 2
pool_typestring[] · nullableoptionalcommunity_pool_typestring · nullableoptionalproperty_typestring · nullableoptionalExample: single family residence
roof_materialstring[] · nullableoptionalroof_typestring · nullableoptionalExample: gable
rooms_totalinteger · nullableoptionalExample: 9
sewer_typestring[] · nullableoptionalsolar_power_typestring · nullableoptionalstories_totalnumber · nullableoptionalExample: 2
subdivision_namestring · nullableoptionalExample: Main Street Estates
number_of_units_totalinteger · nullableoptionalExample: 1
exterior_wall_materialsstring[] · nullableoptionalwater_sourcestring · nullableoptionalExample: public
year_builtinteger · nullableoptionalExample: 2005
zoningstring · nullableoptionalExample: residential
zoning_descriptionstring · nullableoptionalExample: single family residential
400Bad requestapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptional401Unauthorizedapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptionalGET /v3/property/details_advanced HTTP/1.1
Host: api.anyprop.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*curl --request GET \
--url 'https://api.anyprop.com/v3/property/details_advanced' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Accept: */*'fetch("https://api.anyprop.com/v3/property/details_advanced", {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
})
.then(response => response.json())
.then(console.log);import requests
response = requests.get(
"https://api.anyprop.com/v3/property/details_advanced",
headers={
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
)
print(response.json())Response example
{
"status": "success",
"data": {
"address": {
"address": "123 Main Street, Spring, TX 77373",
"unit": null,
"house_number": "123",
"street_name": "Main Street",
"city": "Spring",
"state": "TX",
"zipcode": "77373",
"latitude": 30.07936,
"longitude": -95.41842
},
"details": {
"public_record": {
"apn": "123-456-7890",
"architectural_style": "traditional",
"basement_square_feet": null,
"basement_type": null,
"bathrooms_full": 2,
"bathrooms_partial": 1,
"bathrooms_total": 3,
"bedrooms_total": 4,
"building_condition": "average",
"building_quality": "good",
"buildings_total": 1,
"community_pool_type": null,
"construction_types": [
"brick",
"wood frame"
],
"cooling_type": [
"central air"
],
"exterior_wall_materials": [
"brick veneer"
],
"fireplace_type": [
"gas"
],
"fireplaces_total": 1,
"garages_total": 2,
"heating_type": [
"forced air",
"natural gas"
],
"legal_description": "lot 12 block 3 main street estates",
"living_area_above_grade_square_feet": 2480,
"living_area_below_grade_square_feet": null,
"living_area_square_feet": 2480,
"lot_size_square_feet": 8400,
"number_of_units_total": 1,
"parking_features": [
"attached garage",
"driveway"
],
"parking_total": 2,
"pool_type": null,
"property_type": "single family residence",
"roof_material": [
"composition shingle"
],
"roof_type": "gable",
"rooms_total": 8,
"sewer_type": [
"public"
],
"solar_power_type": null,
"stories_total": 2,
"subdivision_name": "Main Street Estates",
"water_source": "public",
"year_built": 2005,
"zoning": "residential",
"zoning_description": "single family residential"
},
"assessment": {
"apn": "123-456-7890",
"tax_year": 2024,
"assessment_year": 2025,
"annual_tax_amount": 8425.31,
"assessed_total_value": 400000,
"assessed_land_value": 85000,
"assessed_improvement_value": 315000
},
"occupancy": {
"owner_occupied": true
},
"internal": {
"bedrooms_total": 4,
"bathrooms_full": 2,
"bathrooms_partial": 1,
"living_area_square_feet": 2480,
"lot_size_square_feet": 8800,
"property_type": "single family residential",
"year_built": 2003
}
}
}
}{
"error": {
"code": "text",
"message": "text"
}
}{
"error": {
"code": "text",
"message": "text"
}
}Property Value
Get automated property valuation estimates.
Get property valuation
https://api.anyprop.com/v3/property/valueGet automated property valuation estimates. Usage: 2 requests per successful request.
AuthorizationstringrequiredBearer authentication header of the form Bearer <token>.
qstringoptionalProperty address.
Example: 123 Main Street, Spring, TX 77373
street_addressstringoptionalStreet address, including house number.
Example: 123 Main Street
citystringoptionalCity.
Example: Spring
statestringoptionalState.
Example: TX
zipcodestringoptionalZIP code.
Example: 77373
unitstring · nullableoptionalUnit or apartment number.
200Successful responseapplication/json
statusstringoptionalExample: success
Allowed values: ["success","zero_results"]
dataobjectoptionalShow properties
addressobjectoptionalShow properties
addressstringoptionalExample: 123 Main Street, Spring, TX 77373
unitstring · nullableoptionalhouse_numberstring · nullableoptionalExample: 123
street_namestring · nullableoptionalExample: Main Street
citystring · nullableoptionalExample: Spring
statestring · nullableoptionalExample: TX
zipcodestring · nullableoptionalExample: 77373
latitudenumber · doubleoptionalExample: 30.07936
longitudenumber · doubleoptionalExample: -95.41842
valueobjectoptionalShow properties
lowinteger · nullableoptionalExample: 430000
highinteger · nullableoptionalExample: 520000
meaninteger · nullableoptionalExample: 475000
400Bad requestapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptional401Unauthorizedapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptionalGET /v3/property/value HTTP/1.1
Host: api.anyprop.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*curl --request GET \
--url 'https://api.anyprop.com/v3/property/value' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Accept: */*'fetch("https://api.anyprop.com/v3/property/value", {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
})
.then(response => response.json())
.then(console.log);import requests
response = requests.get(
"https://api.anyprop.com/v3/property/value",
headers={
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
)
print(response.json())Response example
{
"status": "success",
"data": {
"address": {
"address": "123 Main Street, Spring, TX 77373",
"unit": null,
"house_number": "123",
"street_name": "Main Street",
"city": "Spring",
"state": "TX",
"zipcode": "77373",
"latitude": 30.07936,
"longitude": -95.41842
},
"value": {
"low": 430000,
"mean": 475000,
"high": 520000
}
}
}{
"error": {
"code": "text",
"message": "text"
}
}{
"error": {
"code": "text",
"message": "text"
}
}Sales Comps
Return up to 50 comparable sales from public records.
Get property comparable sales
https://api.anyprop.com/v3/property/sales_compsReturn up to 50 comparable sales from public records. Usage: 2 requests per successful request.
AuthorizationstringrequiredBearer authentication header of the form Bearer <token>.
qstringoptionalProperty address.
Example: 123 Main Street, Spring, TX 77373
street_addressstringoptionalStreet address, including house number.
Example: 123 Main Street
citystringoptionalCity.
Example: Spring
statestringoptionalState.
Example: TX
zipcodestringoptionalZIP code.
Example: 77373
unitstring · nullableoptionalUnit or apartment number.
bedrooms_minnumberoptionalMinimum bedroom count.
Example: 3
Minimum: 0
bedrooms_maxnumberoptionalMaximum bedroom count.
Example: 5
Minimum: 0
bathrooms_minnumberoptionalMinimum bathroom count.
Example: 2
Minimum: 0
bathrooms_maxnumberoptionalMaximum bathroom count.
Example: 4
Minimum: 0
living_area_minnumberoptionalMinimum living area in square feet.
Example: 1800
Minimum: 0
living_area_maxnumberoptionalMaximum living area in square feet.
Example: 3200
Minimum: 0
lot_size_minnumberoptionalMinimum lot size in square feet.
Example: 5000
Minimum: 0
lot_size_maxnumberoptionalMaximum lot size in square feet.
Example: 12000
Minimum: 0
sale_date_minstring · dateoptionalEarliest sale date (YYYY-MM-DD). Defaults to one year before the request.
Example: 2025-01-01
property_typestringoptionalProperty type. Separate multiple values with commas.
Example: single family residential
200Successful responseapplication/json
statusstringoptionalExample: success
Allowed values: ["success","zero_results"]
dataobjectoptionalShow properties
addressobjectoptionalShow properties
addressstringoptionalExample: 123 Main Street, Spring, TX 77373
unitstring · nullableoptionalhouse_numberstring · nullableoptionalExample: 123
street_namestring · nullableoptionalExample: Main Street
citystring · nullableoptionalExample: Spring
statestring · nullableoptionalExample: TX
zipcodestring · nullableoptionalExample: 77373
latitudenumber · doubleoptionalExample: 30.07936
longitudenumber · doubleoptionalExample: -95.41842
sales_compsobject[]optionalShow item properties
addressstring · nullableoptionalExample: 118 Oak Hollow Drive, Spring, TX 77373
unitstring · nullableoptionalproperty_typestring · nullableoptionalExample: single family residential
bedrooms_totalinteger · nullableoptionalExample: 4
rooms_totalinteger · nullableoptionalExample: 8
bathrooms_fullinteger · nullableoptionalExample: 2
bathrooms_partialinteger · nullableoptionalExample: 1
bathrooms_totalinteger · nullableoptionalExample: 3
building_square_feetnumber · nullableoptionalExample: 2550
living_area_square_feetnumber · nullableoptionalExample: 2550
lot_size_square_feetnumber · nullableoptionalExample: 9000
sale_datestring · date · nullableoptionalsale_pricenumber · nullableoptionaldistance_metersnumber · double · nullableoptionalExample: 620
similarity_scorenumber · double · nullableoptionalSimilarity score relative to the subject property.
Example: 91.4
latitudenumber · double · nullableoptionalExample: 30.08321
longitudenumber · double · nullableoptionalExample: -95.41488
list_pricenumber · nullableoptionalListing price.
list_datestring · date · nullableoptionalListing date.
statusstring · nullableoptionalProperty status.
Example: off_market
400Bad requestapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptional401Unauthorizedapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptionalGET /v3/property/sales_comps HTTP/1.1
Host: api.anyprop.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*curl --request GET \
--url 'https://api.anyprop.com/v3/property/sales_comps' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Accept: */*'fetch("https://api.anyprop.com/v3/property/sales_comps", {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
})
.then(response => response.json())
.then(console.log);import requests
response = requests.get(
"https://api.anyprop.com/v3/property/sales_comps",
headers={
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
)
print(response.json())Response example
{
"status": "success",
"data": {
"address": {
"address": "123 Main Street, Spring, TX 77373",
"unit": null,
"house_number": "123",
"street_name": "Main Street",
"city": "Spring",
"state": "TX",
"zipcode": "77373",
"latitude": 30.07936,
"longitude": -95.41842
},
"sales_comps": [
{
"address": "118 Oak Hollow Drive, Spring, TX 77373",
"unit": null,
"property_type": "single family residential",
"bedrooms_total": 4,
"rooms_total": 8,
"bathrooms_full": 2,
"bathrooms_partial": 1,
"bathrooms_total": 3,
"building_square_feet": 2550,
"living_area_square_feet": 2550,
"lot_size_square_feet": 9000,
"sale_date": "2026-09-15",
"sale_price": 460000,
"distance_meters": 620,
"similarity_score": 91.4,
"latitude": 30.08321,
"longitude": -95.41488,
"list_date": null,
"list_price": null,
"status": "off_market"
},
{
"address": "142 Pine Creek Lane, Spring, TX 77373",
"unit": null,
"property_type": "single family residential",
"bedrooms_total": 4,
"rooms_total": 9,
"bathrooms_full": 3,
"bathrooms_partial": 0,
"bathrooms_total": 3,
"building_square_feet": 2460,
"living_area_square_feet": 2460,
"lot_size_square_feet": 7800,
"sale_date": "2026-08-21",
"sale_price": 475000,
"distance_meters": 980,
"similarity_score": 88.7,
"latitude": 30.07192,
"longitude": -95.42125,
"list_date": null,
"list_price": null,
"status": "off_market"
},
{
"address": "97 Cypress Bend Court, Spring, TX 77373",
"unit": null,
"property_type": "single family residential",
"bedrooms_total": 5,
"rooms_total": 10,
"bathrooms_full": 3,
"bathrooms_partial": 1,
"bathrooms_total": 4,
"building_square_feet": 2825,
"living_area_square_feet": 2825,
"lot_size_square_feet": 9500,
"sale_date": "2026-08-21",
"sale_price": 475000,
"distance_meters": 1430,
"similarity_score": 82.6,
"latitude": 30.08844,
"longitude": -95.42901,
"list_date": null,
"list_price": null,
"status": "off_market"
}
]
}
}{
"error": {
"code": "text",
"message": "text"
}
}{
"error": {
"code": "text",
"message": "text"
}
}Advanced Sales Comps
Return up to 50 comparables from public records and your MLS feeds.
Get advanced property comparable sales
https://api.anyprop.com/v3/property/sales_comps_advancedReturn up to 50 comparables from public records and your MLS feeds. Usage: 2 requests per successful request.
AuthorizationstringrequiredBearer authentication header of the form Bearer <token>.
qstringoptionalProperty address.
Example: 123 Main Street, Spring, TX 77373
street_addressstringoptionalStreet address, including house number.
Example: 123 Main Street
citystringoptionalCity.
Example: Spring
statestringoptionalState.
Example: TX
zipcodestringoptionalZIP code.
Example: 77373
unitstring · nullableoptionalUnit or apartment number.
bedrooms_minnumberoptionalMinimum bedroom count.
Example: 3
Minimum: 0
bedrooms_maxnumberoptionalMaximum bedroom count.
Example: 5
Minimum: 0
bathrooms_minnumberoptionalMinimum bathroom count.
Example: 2
Minimum: 0
bathrooms_maxnumberoptionalMaximum bathroom count.
Example: 4
Minimum: 0
living_area_minnumberoptionalMinimum living area in square feet.
Example: 1800
Minimum: 0
living_area_maxnumberoptionalMaximum living area in square feet.
Example: 3200
Minimum: 0
lot_size_minnumberoptionalMinimum lot size in square feet.
Example: 5000
Minimum: 0
lot_size_maxnumberoptionalMaximum lot size in square feet.
Example: 12000
Minimum: 0
sale_date_minstring · dateoptionalEarliest sale date (YYYY-MM-DD). Defaults to one year before the request.
Example: 2025-01-01
property_typestringoptionalProperty type. Separate multiple values with commas.
Example: single family residential
statusstringoptionalListing status for Advanced Sales Comps: active or off_market. Separate multiple values with commas.
Example: active
200Successful responseapplication/json
statusstringoptionalExample: success
Allowed values: ["success","zero_results"]
dataobjectoptionalShow properties
addressobjectoptionalShow properties
addressstringoptionalExample: 123 Main Street, Spring, TX 77373
unitstring · nullableoptionalhouse_numberstring · nullableoptionalExample: 123
street_namestring · nullableoptionalExample: Main Street
citystring · nullableoptionalExample: Spring
statestring · nullableoptionalExample: TX
zipcodestring · nullableoptionalExample: 77373
latitudenumber · doubleoptionalExample: 30.07936
longitudenumber · doubleoptionalExample: -95.41842
sales_compsobject[]optionalShow item properties
addressstring · nullableoptionalExample: 118 Oak Hollow Drive, Spring, TX 77373
unitstring · nullableoptionalproperty_typestring · nullableoptionalExample: single family residential
bedrooms_totalinteger · nullableoptionalExample: 4
rooms_totalinteger · nullableoptionalExample: 8
bathrooms_fullinteger · nullableoptionalExample: 2
bathrooms_partialinteger · nullableoptionalExample: 1
bathrooms_totalinteger · nullableoptionalExample: 3
building_square_feetnumber · nullableoptionalExample: 2550
living_area_square_feetnumber · nullableoptionalExample: 2550
lot_size_square_feetnumber · nullableoptionalExample: 9000
sale_datestring · date · nullableoptionalsale_pricenumber · nullableoptionaldistance_metersnumber · double · nullableoptionalExample: 620
similarity_scorenumber · double · nullableoptionalSimilarity score relative to the subject property.
Example: 91.4
latitudenumber · double · nullableoptionalExample: 30.08321
longitudenumber · double · nullableoptionalExample: -95.41488
list_pricenumber · nullableoptionalListing price.
list_datestring · date · nullableoptionalListing date.
statusstring · nullableoptionalProperty status.
Example: off_market
400Bad requestapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptional401Unauthorizedapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptionalGET /v3/property/sales_comps_advanced HTTP/1.1
Host: api.anyprop.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*curl --request GET \
--url 'https://api.anyprop.com/v3/property/sales_comps_advanced' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Accept: */*'fetch("https://api.anyprop.com/v3/property/sales_comps_advanced", {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
})
.then(response => response.json())
.then(console.log);import requests
response = requests.get(
"https://api.anyprop.com/v3/property/sales_comps_advanced",
headers={
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
)
print(response.json())Response example
{
"status": "success",
"data": {
"address": {
"address": "123 Main Street, Spring, TX 77373",
"unit": null,
"house_number": "123",
"street_name": "Main Street",
"city": "Spring",
"state": "TX",
"zipcode": "77373",
"latitude": 30.07936,
"longitude": -95.41842
},
"sales_comps": [
{
"address": "118 Oak Hollow Drive, Spring, TX 77373",
"unit": null,
"property_type": "single family residential",
"bedrooms_total": 4,
"rooms_total": 8,
"bathrooms_full": 2,
"bathrooms_partial": 1,
"bathrooms_total": 3,
"building_square_feet": 2550,
"living_area_square_feet": 2550,
"lot_size_square_feet": 9000,
"sale_date": "2026-09-15",
"sale_price": 460000,
"distance_meters": 620,
"similarity_score": 91.4,
"latitude": 30.08321,
"longitude": -95.41488,
"list_date": null,
"list_price": null,
"status": "off_market"
},
{
"address": "142 Pine Creek Lane, Spring, TX 77373",
"unit": null,
"property_type": "single family residential",
"bedrooms_total": 4,
"rooms_total": 9,
"bathrooms_full": 3,
"bathrooms_partial": 0,
"bathrooms_total": 3,
"building_square_feet": 2460,
"living_area_square_feet": 2460,
"lot_size_square_feet": 7800,
"sale_date": null,
"sale_price": null,
"distance_meters": 980,
"similarity_score": 88.7,
"latitude": 30.07192,
"longitude": -95.42125,
"list_date": "2026-09-20",
"list_price": 525000,
"status": "active"
},
{
"address": "97 Cypress Bend Court, Spring, TX 77373",
"unit": null,
"property_type": "single family residential",
"bedrooms_total": 5,
"rooms_total": 10,
"bathrooms_full": 3,
"bathrooms_partial": 1,
"bathrooms_total": 4,
"building_square_feet": 2825,
"living_area_square_feet": 2825,
"lot_size_square_feet": 9500,
"sale_date": "2026-08-21",
"sale_price": 475000,
"distance_meters": 1430,
"similarity_score": 82.6,
"latitude": 30.08844,
"longitude": -95.42901,
"list_date": null,
"list_price": null,
"status": "off_market"
}
]
}
}{
"error": {
"code": "text",
"message": "text"
}
}{
"error": {
"code": "text",
"message": "text"
}
}Comp Filters
Both comp endpoints support filters for property type, bedrooms, bathrooms, living area, lot size, and sale date. Areas use square feet. Numeric bounds must be non-negative; minimums cannot exceed maximums.
Advanced Sales Comps also supports status=active or status=off_market. Separate multiple property types or statuses with commas.
sale_date_min defaults to one year before the request. Use YYYY-MM-DD to override it.
Sales History
Return public-record sales history for a property.
Get property sales history
https://api.anyprop.com/v3/property/sales_historyReturn public-record sales history for a property. Usage: 2 requests per successful request.
AuthorizationstringrequiredBearer authentication header of the form Bearer <token>.
qstringoptionalProperty address.
Example: 123 Main Street, Spring, TX 77373
street_addressstringoptionalStreet address, including house number.
Example: 123 Main Street
citystringoptionalCity.
Example: Spring
statestringoptionalState.
Example: TX
zipcodestringoptionalZIP code.
Example: 77373
unitstring · nullableoptionalUnit or apartment number.
200Successful responseapplication/json
statusstringoptionalExample: success
Allowed values: ["success","zero_results"]
dataobjectoptionalShow properties
addressobjectoptionalShow properties
addressstringoptionalExample: 123 Main Street, Spring, TX 77373
unitstring · nullableoptionalhouse_numberstring · nullableoptionalExample: 123
street_namestring · nullableoptionalExample: Main Street
citystring · nullableoptionalExample: Spring
statestring · nullableoptionalExample: TX
zipcodestring · nullableoptionalExample: 77373
latitudenumber · doubleoptionalExample: 30.07936
longitudenumber · doubleoptionalExample: -95.41842
sales_historyobject[]optionalShow item properties
amountnumber · nullableoptionalExample: 455000
apnstring · nullableoptionalExample: 123-456-7890
event_typestring · nullableoptionalExample: sale
fipsstring · nullableoptionalExample: 48201
record_bookstring · nullableoptionalrecord_datestring · date · nullableoptionalExample: 2021-06-15
document_numberstring · nullableoptionalExample: RP-2021-123456
record_pagestring · nullableoptionalis_multi_apnbooleanoptionalExample: false
400Bad requestapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptional401Unauthorizedapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptionalGET /v3/property/sales_history HTTP/1.1
Host: api.anyprop.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*curl --request GET \
--url 'https://api.anyprop.com/v3/property/sales_history' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Accept: */*'fetch("https://api.anyprop.com/v3/property/sales_history", {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
})
.then(response => response.json())
.then(console.log);import requests
response = requests.get(
"https://api.anyprop.com/v3/property/sales_history",
headers={
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
)
print(response.json())Response example
{
"status": "success",
"data": {
"address": {
"address": "123 Main Street, Spring, TX 77373",
"unit": null,
"house_number": "123",
"street_name": "Main Street",
"city": "Spring",
"state": "TX",
"zipcode": "77373",
"latitude": 30.07936,
"longitude": -95.41842
},
"sales_history": [
{
"amount": 455000,
"apn": "123-456-7890",
"event_type": "sale",
"fips": "48201",
"record_book": null,
"record_date": "2021-06-15",
"document_number": "RP-2021-123456",
"record_page": null,
"is_multi_apn": false
},
{
"amount": 360000,
"apn": "123-456-7890",
"event_type": "sale",
"fips": "48201",
"record_book": null,
"record_date": "2016-04-08",
"document_number": "RP-2016-084215",
"record_page": null,
"is_multi_apn": false
}
]
}
}{
"error": {
"code": "text",
"message": "text"
}
}{
"error": {
"code": "text",
"message": "text"
}
}Liens
Return public-record lien history for a property.
internal_interest_rate is an estimated mortgage interest rate derived from FRED, expressed as a percentage.
Get property liens
https://api.anyprop.com/v3/property/liensReturn public-record lien history for a property. Usage: 2 requests per successful request.
AuthorizationstringrequiredBearer authentication header of the form Bearer <token>.
qstringoptionalProperty address.
Example: 123 Main Street, Spring, TX 77373
street_addressstringoptionalStreet address, including house number.
Example: 123 Main Street
citystringoptionalCity.
Example: Spring
statestringoptionalState.
Example: TX
zipcodestringoptionalZIP code.
Example: 77373
unitstring · nullableoptionalUnit or apartment number.
200Successful responseapplication/json
statusstringoptionalExample: success
Allowed values: ["success","zero_results"]
dataobjectoptionalShow properties
addressobjectoptionalShow properties
addressstringoptionalExample: 123 Main Street, Spring, TX 77373
unitstring · nullableoptionalhouse_numberstring · nullableoptionalExample: 123
street_namestring · nullableoptionalExample: Main Street
citystring · nullableoptionalExample: Spring
statestring · nullableoptionalExample: TX
zipcodestring · nullableoptionalExample: 77373
latitudenumber · doubleoptionalExample: 30.07936
longitudenumber · doubleoptionalExample: -95.41842
liensobject[]optionalShow item properties
amountnumber · nullableoptionalExample: 364000
apnstring · nullableoptionalExample: 123-456-7890
arm_indexstring · nullableoptionalmaturity_datestring · date · nullableoptionalExample: 2051-07-01
event_typestring · nullableoptionalExample: purchase
fipsstring · nullableoptionalExample: 48201
is_helocbooleanoptionalExample: false
lien_typestring · nullableoptionalExample: conventional
loan_terminteger · nullableoptionalExample: 30
internal_interest_ratenumber · double · nullableoptionalMortgage interest rate implied from FRED for the lien, expressed as a percentage.
Example: 3.125
record_bookstring · nullableoptionalrecord_datestring · date · nullableoptionalExample: 2021-06-15
document_numberstring · nullableoptionalExample: MTG-2021-654321
record_pagestring · nullableoptionalis_multi_apnbooleanoptionalExample: false
400Bad requestapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptional401Unauthorizedapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptionalGET /v3/property/liens HTTP/1.1
Host: api.anyprop.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*curl --request GET \
--url 'https://api.anyprop.com/v3/property/liens' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Accept: */*'fetch("https://api.anyprop.com/v3/property/liens", {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
})
.then(response => response.json())
.then(console.log);import requests
response = requests.get(
"https://api.anyprop.com/v3/property/liens",
headers={
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
)
print(response.json())Response example
{
"status": "success",
"data": {
"address": {
"address": "123 Main Street, Spring, TX 77373",
"unit": null,
"house_number": "123",
"street_name": "Main Street",
"city": "Spring",
"state": "TX",
"zipcode": "77373",
"latitude": 30.07936,
"longitude": -95.41842
},
"liens": [
{
"amount": 364000,
"apn": "123-456-7890",
"arm_index": null,
"maturity_date": "2051-07-01",
"event_type": "purchase",
"fips": "48201",
"is_heloc": false,
"lien_type": "conventional",
"loan_term": 30,
"internal_interest_rate": 3.125,
"record_book": null,
"record_date": "2021-06-15",
"document_number": "MTG-2021-654321",
"record_page": null,
"is_multi_apn": false
},
{
"amount": 50000,
"apn": "123-456-7890",
"arm_index": null,
"maturity_date": "2031-06-01",
"event_type": "refinance",
"fips": "48201",
"is_heloc": true,
"lien_type": "heloc",
"loan_term": 10,
"internal_interest_rate": 4.25,
"record_book": null,
"record_date": "2022-06-01",
"document_number": "MTG-2022-332100",
"record_page": null,
"is_multi_apn": false
}
]
}
}{
"error": {
"code": "text",
"message": "text"
}
}{
"error": {
"code": "text",
"message": "text"
}
}Tax History
Return tax and assessment history for a property.
Get property tax history
https://api.anyprop.com/v3/property/tax_historyReturn tax and assessment history for the property. Usage: 2 requests per successful request.
AuthorizationstringrequiredBearer authentication header of the form Bearer <token>.
qstringoptionalProperty address.
Example: 123 Main Street, Spring, TX 77373
street_addressstringoptionalStreet address, including house number.
Example: 123 Main Street
citystringoptionalCity.
Example: Spring
statestringoptionalState.
Example: TX
zipcodestringoptionalZIP code.
Example: 77373
unitstring · nullableoptionalUnit or apartment number.
200Successful responseapplication/json
statusstringoptionalExample: success
Allowed values: ["success","zero_results"]
dataobjectoptionalShow properties
addressobjectoptionalShow properties
addressstringoptionalExample: 123 Main Street, Spring, TX 77373
unitstring · nullableoptionalhouse_numberstring · nullableoptionalExample: 123
street_namestring · nullableoptionalExample: Main Street
citystring · nullableoptionalExample: Spring
statestring · nullableoptionalExample: TX
zipcodestring · nullableoptionalExample: 77373
latitudenumber · doubleoptionalExample: 30.07936
longitudenumber · doubleoptionalExample: -95.41842
tax_historyobject[]optionalShow item properties
apnstring · nullableoptionalExample: 123-456-7890
tax_yearinteger · nullableoptionalExample: 2025
assessment_yearinteger · nullableoptionalExample: 2025
annual_tax_amountnumber · nullableoptionalExample: 8425.31
assessed_total_valuenumber · nullableoptionalExample: 400000
assessed_land_valuenumber · nullableoptionalExample: 85000
assessed_improvement_valuenumber · nullableoptionalExample: 315000
400Bad requestapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptional401Unauthorizedapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptionalGET /v3/property/tax_history HTTP/1.1
Host: api.anyprop.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*curl --request GET \
--url 'https://api.anyprop.com/v3/property/tax_history' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Accept: */*'fetch("https://api.anyprop.com/v3/property/tax_history", {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
})
.then(response => response.json())
.then(console.log);import requests
response = requests.get(
"https://api.anyprop.com/v3/property/tax_history",
headers={
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
)
print(response.json())Response example
{
"status": "success",
"data": {
"address": {
"address": "123 Main Street, Spring, TX 77373",
"unit": null,
"house_number": "123",
"street_name": "Main Street",
"city": "Spring",
"state": "TX",
"zipcode": "77373",
"latitude": 30.07936,
"longitude": -95.41842
},
"tax_history": [
{
"apn": "123-456-7890",
"tax_year": 2025,
"assessment_year": 2025,
"annual_tax_amount": 8425.31,
"assessed_total_value": 400000,
"assessed_land_value": 85000,
"assessed_improvement_value": 315000
},
{
"apn": "123-456-7890",
"tax_year": 2024,
"assessment_year": 2024,
"annual_tax_amount": 7910.42,
"assessed_total_value": 375000,
"assessed_land_value": 80000,
"assessed_improvement_value": 295000
}
]
}
}{
"error": {
"code": "text",
"message": "text"
}
}{
"error": {
"code": "text",
"message": "text"
}
}Errors
Errors return an error object with code and message. Common codes are invalid_request, zero_results, ambiguous_address, quota_exceeded, and unauthorized.